Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam UI JSF2 support 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jboss.seam.ui.component.html
Enum HtmlDecorate.Properties

    java.lang.Object
      java.lang.Enum<HtmlDecorate.Properties>
          org.jboss.seam.ui.component.html.HtmlDecorate.Properties

All Implemented Interfaces:
  Serializable, Comparable<HtmlDecorate.Properties>

Enclosing class:
  HtmlDecorate

    protected static enum HtmlDecorate.Properties

extends Enum<HtmlDecorate.Properties>

Enum Constant Summary
`element`
`enclose`
`forValue`
`style`
`styleClass`
`template`
`title`

Method Summary
`String` | `toString()`
`static HtmlDecorate.Properties` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static HtmlDecorate.Properties[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### element

    public static final HtmlDecorate.Properties element

### enclose

    public static final HtmlDecorate.Properties enclose

### forValue

    public static final HtmlDecorate.Properties forValue

### style

    public static final HtmlDecorate.Properties style

### styleClass

    public static final HtmlDecorate.Properties styleClass

### template

    public static final HtmlDecorate.Properties template

### title

    public static final HtmlDecorate.Properties title

Method Detail

### values

    public static HtmlDecorate.Properties[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (HtmlDecorate.Properties c : HtmlDecorate.Properties.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static HtmlDecorate.Properties valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<HtmlDecorate.Properties>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam UI JSF2 support 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2012 Seam Framework. All Rights Reserved.